package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Visa_duration;
import com.realnet.vpspack.Services.Visa_durationService ;






@RequestMapping(value = "/Visa_duration")
 @CrossOrigin("*") 
@RestController
public class Visa_durationController {
	@Autowired
	private Visa_durationService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Visa_duration")
		  public Visa_duration Savedata(@RequestBody Visa_duration data) {
		Visa_duration save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Visa_duration/{id}")
	public  Visa_duration update(@RequestBody Visa_duration data,@PathVariable Integer id ) {
		Visa_duration update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Visa_duration/getall/page")
	public Page<Visa_duration> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Visa_duration> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Visa_duration")
	public List<Visa_duration> getdetails() {
		 List<Visa_duration> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Visa_duration")
	public List<Visa_duration> getallwioutsec() {
		 List<Visa_duration> get = Service.getdetails();		
		return get;
}
@GetMapping("/Visa_duration/{id}")
	public  Visa_duration  getdetailsbyId(@PathVariable Integer id ) {
		Visa_duration  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Visa_duration/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}